%define module wrapt
%define __noautoprov '_wrappers.so'


Name:           python-%{module}
Version:        1.10.11
Release:        1
Summary:        A Python module for decorators, wrappers and monkey patching
Group:          Development/Python
License:        BSD
URL:            https://github.com/GrahamDumpleton/%{module}
Source0:        https://github.com/GrahamDumpleton/%{module}/archive/%{version}.tar.gz
BuildRequires:  pkgconfig(python)
BuildRequires:  pkgconfig(python3)

%description
The aim of the wrapt module is to provide a transparent object proxy
for Python, which can be used as the basis for the construction of
function wrappers and decorator functions.

%files
%doc README.rst LICENSE
%{py_platsitedir}/%{module}
%{py_platsitedir}/%{module}-%{version}-py?.?.egg-info
#------------------------------------------------------------------------------

%package -n python3-%{module}
Summary:        A Python module for decorators, wrappers and monkey patching

%description -n  python3-%{module}
The aim of the wrapt module is to provide a transparent object proxy
for Python, which can be used as the basis for the construction of
function wrappers and decorator functions.

%files -n  python3-%{module}
%doc README.rst LICENSE
%{py3_platsitedir}/%{module}
%{py3_platsitedir}/%{module}-%{version}-py?.?.egg-info
#------------------------------------------------------------------------------

%prep
%setup -qn %{module}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{module}.egg-info
cp -a . %{py3dir}


%build
pushd %{py3dir}
CFLAGS="%{optflags}" python3 setup.py build
popd

CFLAGS="%{optflags}" python setup.py build

%install
pushd %{py3dir}
python3 setup.py install --skip-build --root %{buildroot}
popd

python setup.py install --skip-build --root %{buildroot}

%changelog

* Tue Jun 19 2018 Denis Silakov <dsilakov@virtuozzo.com> 1.10.11-1
- (1dafb75) Update to 1.10.11


